<?php
/**
 * Гостевая гнига на файлах AGB!
 * Версия: 1.0
 * Автор: Jeey
 * Email: jeey@mail.ru
 * ICQ: 9510787
 * Сайт: http://jeey.ru
 */

session_name('sid');
session_start();

if( !isset($_SESSION['code']) ) exit;

$_SESSION['code'] = (string) $_SESSION['code'];

// Размеры, цвет фона и текста

$image = imagecreate(65, 25);
$background_color = imagecolorallocate($image, 255, 255, 255);
$color = imagecolorallocate($image, 51, 51, 51);

// Рисуем циферки

imagechar($image, rand(3, 5), rand(3, 8), rand(3, 10), $_SESSION['code']{0}, $color);
imagechar($image, rand(3, 5), rand(17, 22), rand(3, 10), $_SESSION['code']{1}, $color);
imagechar($image, rand(3, 5), rand(31, 36), rand(3, 10), $_SESSION['code']{2}, $color);
imagechar($image, rand(3, 5), rand(45, 50), rand(3, 10), $_SESSION['code']{3}, $color);

// Выдаём картинку в браузер

header('Content-Type: image/gif');
imagegif($image);
imagedestroy($image);
?>